package com.lanren.huhu.partner.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lanren.huhu.partner.domain.PartnerAccount;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface PartnerAccountMapper extends BaseMapper<PartnerAccount> {
    int updateBatch(List<PartnerAccount> list);

    int batchInsert(@Param("list") List<PartnerAccount> list);

    int insertOrUpdate(PartnerAccount record);

    int insertOrUpdateSelective(PartnerAccount record);

}